OpenTTD Source: HotkeyList Struct Reference

OpenTTD Source 14.0-RC3

Public Types | Public Member Functions | Data Fields | Private Member Functions | Private Attributes
HotkeyList Struct Reference

List of hotkeys for a window. More...

`#include <hotkeys.h>`

## Public Types
typedef EventState(* | GlobalHotkeyHandlerFunc) (int hotkey)

## Public Member Functions
| HotkeyList (const std::string &ini_group, const std::vector< Hotkey > &items, GlobalHotkeyHandlerFunc global_hotkey_handler=nullptr)
void | Load (const IniFile &ini)
| Load HotkeyList from IniFile. More...
void | Save (IniFile &ini) const
| Save HotkeyList to IniFile. More...
int | CheckMatch (uint16_t keycode, bool global_only=false) const
| Check if a keycode is bound to something. More...

## Data Fields
GlobalHotkeyHandlerFunc | global_hotkey_handler

## Private Member Functions
| HotkeyList (const HotkeyList &other)
| Dummy private copy constructor to prevent compilers from copying the structure, which fails due to _hotkey_lists.

## Private Attributes
const std::string | ini_group
std::vector< Hotkey > | items

## Detailed Description

List of hotkeys for a window.

Definition at line 37 of file hotkeys.h.

## Member Function Documentation

## ◆ CheckMatch()

int HotkeyList::CheckMatch | ( | uint16_t | keycode,
|  | bool | global_only = `false`
| ) |  | const

Check if a keycode is bound to something.

Parameters

  keycode | The keycode that was pressed
  global_only | Limit the search to hotkeys defined as 'global'.

Returns
  The number of the matching hotkey or -1.

Definition at line 309 of file hotkeys.cpp.

## ◆ Load()

void HotkeyList::Load | ( | const IniFile & | ini | ) |

Load HotkeyList from IniFile.

Parameters

  ini | IniFile to load from.

Definition at line 277 of file hotkeys.cpp.

References IniLoadFile::GetGroup(), IniGroup::GetItem(), ParseHotkeys(), and IniItem::value.

## ◆ Save()

void HotkeyList::Save | ( | IniFile & | ini | ) | const

Save HotkeyList to IniFile.

Parameters

  ini | IniFile to save to.

Definition at line 294 of file hotkeys.cpp.

References IniLoadFile::GetOrCreateGroup(), IniGroup::GetOrCreateItem(), SaveKeycodes(), and IniItem::SetValue().

The documentation for this struct was generated from the following files:

- src/hotkeys.h
- src/hotkeys.cpp